Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Returns paginated list of movies with user ratings.
cURL
curl --request GET \ --url https://api.rewind.rest/v1/watching/ratings \ --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.rewind.rest/v1/watching/ratings', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.rewind.rest/v1/watching/ratings" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
{ "data": [ { "movie": { "id": 50, "title": "The Great Escape", "year": 1963, "tmdb_id": 5925, "tmdb_rating": 7.9, "image": null }, "user_rating": 5, "review_url": null, "watched_at": "2025-08-10T20:00:00Z", "source": "letterboxd" }, { "movie": { "id": 200, "title": "Interstellar", "year": 2014, "tmdb_id": 157336, "tmdb_rating": 8.4, "image": null }, "user_rating": 5, "review_url": null, "watched_at": "2024-12-20T20:00:00Z", "source": "letterboxd" } ], "pagination": { "page": 1, "limit": 20, "total": 150, "total_pages": 8 } }
{ "error": "Not found", "status": 404 }
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
x >= 1
1 <= x <= 100
Rated movies
Show child attributes